POST api/Appointments

Creates a new appointment or updates an existent appointment's information.

Request Information

URI Parameters

None.

Body Parameters

Model used to retrieve or set information about an appointment.

AppointmentModel
NameDescriptionTypeAdditional information
LocationExternalId

Location's unique ID on integrating system (Required).

string

None.

DoctorExternalId

Doctor's unique ID on integrating system (Required).

string

None.

PatientExternalId

Patient's unique ID on integrating system (Required).

string

None.

PatientPracticeManagementSystemId

Patient's practice management system ID on integrating system (Required).

string

None.

AppointmentStatusExternalId

Appointment status' unique ID on integrating system (Required).

string

None.

AppointmentTypeExternalId

Unique ID of the appointment type on integrating system.

string

None.

CancelReason

Appointment cancellation reason.

string

None.

Start

Date and time of the appointment.

date

None.

End

Date and time when the appointment ends.

date

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "locationExternalId": "sample string 1",
  "doctorExternalId": "sample string 2",
  "patientExternalId": "sample string 3",
  "patientPracticeManagementSystemId": "sample string 4",
  "appointmentStatusExternalId": "sample string 5",
  "appointmentTypeExternalId": "sample string 6",
  "cancelReason": "sample string 7",
  "start": "2026-05-29T16:57:20.2263442+00:00",
  "end": "2026-05-29T16:57:20.2263442+00:00",
  "id": "1b657c92-b04c-4123-a3de-09388147d9f7",
  "externalId": "sample string 11"
}

application/xml, text/xml

Sample:
<AppointmentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentsModel">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 11</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">1b657c92-b04c-4123-a3de-09388147d9f7</Id>
  <AppointmentStatusExternalId>sample string 5</AppointmentStatusExternalId>
  <AppointmentTypeExternalId>sample string 6</AppointmentTypeExternalId>
  <CancelReason>sample string 7</CancelReason>
  <DoctorExternalId>sample string 2</DoctorExternalId>
  <End>2026-05-29T16:57:20.2263442+00:00</End>
  <LocationExternalId>sample string 1</LocationExternalId>
  <PatientExternalId>sample string 3</PatientExternalId>
  <PatientPracticeManagementSystemId>sample string 4</PatientPracticeManagementSystemId>
  <Start>2026-05-29T16:57:20.2263442+00:00</Start>
</AppointmentModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'AppointmentModel'.

Response Information

Resource Description

AppointmentModel
NameDescriptionTypeAdditional information
LocationExternalId

Location's unique ID on integrating system (Required).

string

None.

DoctorExternalId

Doctor's unique ID on integrating system (Required).

string

None.

PatientExternalId

Patient's unique ID on integrating system (Required).

string

None.

PatientPracticeManagementSystemId

Patient's practice management system ID on integrating system (Required).

string

None.

AppointmentStatusExternalId

Appointment status' unique ID on integrating system (Required).

string

None.

AppointmentTypeExternalId

Unique ID of the appointment type on integrating system.

string

None.

CancelReason

Appointment cancellation reason.

string

None.

Start

Date and time of the appointment.

date

None.

End

Date and time when the appointment ends.

date

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "locationExternalId": "sample string 1",
  "doctorExternalId": "sample string 2",
  "patientExternalId": "sample string 3",
  "patientPracticeManagementSystemId": "sample string 4",
  "appointmentStatusExternalId": "sample string 5",
  "appointmentTypeExternalId": "sample string 6",
  "cancelReason": "sample string 7",
  "start": "2026-05-29T16:57:20.2263442+00:00",
  "end": "2026-05-29T16:57:20.2263442+00:00",
  "id": "072c2166-2a25-4542-9670-88560b7f7da9",
  "externalId": "sample string 11"
}

application/xml, text/xml

Sample:
<AppointmentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentsModel">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 11</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">072c2166-2a25-4542-9670-88560b7f7da9</Id>
  <AppointmentStatusExternalId>sample string 5</AppointmentStatusExternalId>
  <AppointmentTypeExternalId>sample string 6</AppointmentTypeExternalId>
  <CancelReason>sample string 7</CancelReason>
  <DoctorExternalId>sample string 2</DoctorExternalId>
  <End>2026-05-29T16:57:20.2263442+00:00</End>
  <LocationExternalId>sample string 1</LocationExternalId>
  <PatientExternalId>sample string 3</PatientExternalId>
  <PatientPracticeManagementSystemId>sample string 4</PatientPracticeManagementSystemId>
  <Start>2026-05-29T16:57:20.2263442+00:00</Start>
</AppointmentModel>